#
# spec file for package apparmor-utils (Version 2.0.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           apparmor-utils
%if ! %{?distro:1}0
    %define distro suse
%endif
Summary:        AppArmor User-Level Utilities Useful for Creating AppArmor Profiles
Version:        2.0.1
Release:        10
Group:          Productivity/Security
Source0:        %{name}-%{version}-246.tar.gz
Patch0:         apparmor-utils-325834-r461-fork-tracking.diff
Patch1:         apparmor-utils-309106-r502-logprof-hang.diff
Patch2:         apparmor-utils-237220-missing-shortcuts.diff
Patch3:         apparmor-utils-310260-r432-audit-caps-severity.diff
License:        GPL v2 or later, LGPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Url:            http://forge.novell.com/modules/xfmod/project/?apparmor
%if %{distro} == "rhel4"
# Bleah, on RHEL4, individual requirements on perl modules are
# calculated, even if the modules are conditionally used.
Requires:       perl
Requires:       /bin/sh
AutoReqProv:    no
%endif
Requires:       perl-TimeDate perl-DBI perl-DBD-SQLite perl-File-Tail
Obsoletes:      subdomain-utils
Provides:       subdomain-utils

%description
This package provides the aa-logprof, aa-genprof, aa-autodep,
aa-enforce, and aa-complain tools to assist with profile authoring.
This package also provides the aa-unconfined server information tool
and the aa-eventd event reporting system.

This package is part of a suite of tools that used to be named
SubDomain.



Authors:
--------
    jmichael@suse.de
    seth.arnold@suse.de

%debug_package
%prep
%setup -q
%patch0 -p2
%patch1 -p2
%patch2 -p2
%patch3 -p2

%build
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} DISTRO=%{distro} \
	     BINDIR=${RPM_BUILD_ROOT}%{_prefix}/sbin/ \
	     PERLDIR=${RPM_BUILD_ROOT}%{_prefix}/lib/perl5/vendor_perl/Immunix

%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%config /etc/apparmor/*
%{_prefix}/sbin/*
%{_prefix}/lib/perl5/vendor_perl/*
%{_prefix}/share/locale/*/*/apparmor-utils.mo
%dir /var/log/apparmor
%dir /etc/apparmor

%preun
if [ -x "/usr/sbin/sd-event-dispatch.pl" -a -e "/var/run/sd-event-dispatch.init.pid" ] ; then
	echo "Shutting down SubDomain Event daemon" ;
	/sbin/killproc -p /var/run/sd-event-disptach.init.pid -TERM /usr/sbin/sd-event-dispatch.pl >& /dev/null ;
fi
# only do the following when uninstalling
if [ "$1" = 0 ] ; then
	if [ -x "/usr/sbin/aa-eventd" -a -e "/var/run/aa-eventd.pid" ] ; then
      		echo "Shutting down AppArmor Event daemon" ;
      		/sbin/killproc  -p /var/run/aa-eventd.pid  -TERM /usr/sbin/aa-eventd  >& /dev/null;
   	fi 
fi
%changelog
* Tue Sep 18 2007 - dreynolds@suse.de
- Fix for #325834 - profiles left in null-complain-profile after genprof run
- Fix for #237220 - logprof hangs during execution
- Fix for #237220 - german translation problems and missing shortcuts in command line tools
- Added support for newer AUDIT related capabilities - part of #310260
* Mon Nov 20 2006 - dreynolds@suse.de
- More translation updates
* Mon Nov 20 2006 - dreynolds@suse.de
- Translation updates from the translation team
* Wed Nov 15 2006 - srarnold@suse.de
- Many new translations
- Remove half-baked profilelint.py from tarball
- Bug 215207 - apparmor-profiles: lib-ld missing in the profile
  now that the apparmor-profiles package has removed the ld.so profiles,
  genprof/autodep shouldn't be automatically providing 'px' access
* Mon Oct 16 2006 - dreynolds@suse.de
- Add support for syntax checks for profiles
  Fate: 300906
* Wed Jun 07 2006 - jmichael@suse.de
- add support for the new m mode (#175388)
- add support for the new Px/Ux modes (#172061)
- make aaeventd process all of the events in the log file, not
  just those that occur after it's already running. (#154239)
- look for the changing_profile hint on the next AppArmor or audit
  line in the log file, not strictly the very next in the file.
  (#175421)
* Sun Apr 09 2006 - jmichael@suse.de
- remove invalid debugging code that got accidentally left in
* Mon Apr 03 2006 - dreynolds@suse.de
  jmichael@suse.de
- create hats with same enforcement mode as their parent.  bz #158357
- strip some debuging messages that had accidentally been left in and
  put in some missing gettext() localization calls.
- clean up the code to generate a skeleton profile. #118387
- support whitespace in program names and clean up the logprof internals
  some more.  fixes bugzilla #141281
- support $ and + in filenames.  fixes bz #144014 and #144019
* Mon Mar 27 2006 - jmichael@suse.de
- Split aaeventd startup into its own init script so we don't start
  daemons while in the "boot" runlevel (#158613)
- Remove apparmor vim syntax file to stop breaking vim install
  (#158598)
* Mon Mar 13 2006 - dreynolds@suse.de
  (jmichael@suse.de)
- Switch to use perl-File-Tail and monitor both syslog and audit.log
  [#151263]
- Add /srv to severity.db #153313
- Fix for missing notification messages #150971
- Fix for empty verbose ssecurity report #151288
- Fix for logprof/genprof skipping mkdir/rmdir/xattr messages from
  the module #152073
* Mon Feb 13 2006 - dreynolds@suse.de
- Ignore vsdo lib output from ldd for autodep
- Include counter (and time) in genprof logmark
* Mon Feb 06 2006 - sbeattie@suse.de
- Only kill aa-eventd on uninstall, not for upgrades
- (jmichael) in reporting, enable/start aaeventd if not already
- Fix signal handling problems when being shutdown
- (seth.arnold) add symlinks for aa-audit, aa-autodep, aa-status
* Sun Jan 29 2006 - sbeattie@suse.de
- Add svn repo number to tarball name
- (dreynolds) Added support for read events from the audit system to:
  genprof/logprof and sd-event-dispatch.pl
- (dreynolds) Renaming changes: apparmor_status, apparmor.vim, aa-eventd,
  and aa- prefix for profile utils
- Fix SubDomain.pm and apparmor_status to deal with module/parser
  renaming
- (dreynolds) Changes to work with profiles located under /etc/apparmor.d.
- (dreynolds) Disable AALite check
- (seth.arnold) don't drop variables
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - dreynolds@suse.de
- Added support for read events from the audit system to: genprof/logprof and sd-event-dispatch.pl
* Fri Dec 09 2005 - sbeattie@suse.de
- drewelow: fix parsing/sql errors in reports bug #137742
- dreynolds: fix unconfined to support securityfs
- jmichael: fix for xattr handling in genprof/logprof
- jmichael: fix genprof/logprof to support securityfs
- fix textdomain() calls to reflect new package name
- fix references to old package name within .po files
* Thu Dec 08 2005 - sbeattie@suse.de
- rename package to apparmor-utils
- relicense package to GPL for open source release
- reset version to 2.0-1
- add /usr/sbin/subdomain_status
